<template>
  <div class="container">
    <div class="app" v-title title="使用手册"></div>
    <div class="fullTextContent">
      <p
        style="
            width: 100%;
          "
        v-html="lawFullText"
        class="el-tiptap-editor__content"
      ></p>
    </div>
  </div>
</template>

<script>
import {getDocumentByCode} from "@/api/system/document";

export default {
  name: "webViewer",
  data(){
    return {
      documentCode:0,
      lawFullText:''
    }
  },
  created() {
    console.log('code:' + this.$route.params.code)
    this.documentCode = this.$route.params && this.$route.params.code;
    document.title = '一七生活'
    this.getinfo()
  },
  methods:{
    getinfo(){
      getDocumentByCode({code:this.documentCode}).then(res => {
        this.lawFullText = res.data.content
      })
    }
  }
}
</script>

<style lang="scss">
.container{
  width: 100%;
  height: 100vh;
  position: relative;

}
.fullTextContent{
  width: 90%;
  margin-left: 5%;
}

.ql-align-center{
  text-align: center;
}

img{
  width: 100% !important;
}
</style>
